package com.zanxiang.sdk.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 预下单返回值
 */
@Data
public class PreOrderVO {

    @ApiModelProperty(notes = "订单id")
    private String orderId;

    @ApiModelProperty(notes = "支付是否切换 true 切换 false 不切换")
    private Boolean paySwitch;

    @ApiModelProperty(notes = "米大师配置")
    private PreOrderMiPayConfigVO preOrderMiPayConfigVO;

    @ApiModelProperty(notes = "小程序支付配置")
    private MiniAppConfigVO miniAppConfigVO;

}
