package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.mybatis.entity.GameUser;
import com.zanxiang.sdk.domain.params.GameUserUpdateParam;
import com.zanxiang.sdk.domain.params.UserData;

/**
 * @author : xufeng
 * @time : 2022-07-06
 * @description : 玩家游戏
 */
public interface GameUserService extends IService<GameUser> {

    /**
     * 更新/创建游戏用户
     * 12312
     *
     * @return
     */
    Boolean updateGameUser(GameUserUpdateParam param, UserData userData);
}
